<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>liste des utilisateurs</title>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css" integrity="sha512-jVKbZi+rRwOlk5y2L5u5v5iV7Ou5ckZ8WcZuIvHHID2rhpwMs0y/7bjA/C/UBbY9XfMktgEKx/vZrcv/cDjKw==" crossorigin="anonymous" referrerpolicy="no-referrer" />-->
<!--   -->
    <style>
     .taille {
      width: 600px;
      margin-top:100px;
      }

  </style>
</head>
<body>
<div class="container">
  <h1 style="margin-bottom:50px;text-align:center;margin-top:80px">Listes des utilisateurs</h1>
  <a href="/" class="btn btn-secondary">Retour</a>
   <input type="text" class="form-control mb-3" id="search"
          placeholder="Search" style="display: flex;left:auto;right:0;width:200px;margin-top:10px">
   <table id="dtBasicExample" class="table  table-striped table-bordered table-sm" style="margin-top:5px">
        <thead>
            <tr>
                <th width="30%">Nom d'utilisateur</th>
                <th>RFID code</th>
                <th style="display:flex;justify-content:center">Action</th>
            </tr>
        </thead>
        <tbody >
        {%for user in users %}
            <tr>

                <td>{{ user[1] }}</td>
                <td sytle="text-align:justify">{{ user[2] }}</td>
                <td style="display:flex;justify-content:center">
                    <a href="/edit?id={{user[0]}}&name={{ user[1] }}&rfid={{ user[2] }}"
                       class="btn btn-info" style="margin-right:15px;width:70px">Editer</a>
                    <form method="POST" action="/delete_record">
                         <input type="hidden" name="id" value="{{ user[0] }}">
                         <button type="submit" class="btn btn-danger">Supprimer</button>
                    </form>
                    <form action="/deactivate" method="POST">
                        <input type="hidden" name="id" value="{{ user[0] }}">
                        <button type="submit" class="btn btn-secondary"
                                style="margin-left:15px;color:white">Déactiver</button>
                    </form>
                    <a href="/mouvement?id={{user[0]}}" class="btn btn-warning"
                        style="margin-left:10px">Détails</a>

                </td>

            </tr>
        {%endfor%}
        </tbody>
    </table>
    <nav aria-label="Page navigation example" style="display:flex;justify-content:flex-end">
    <ul class="pagination">
    <li class="page-item">
      <a class="page-link" href="#" aria-label="Previous">
        <span aria-hidden="true">&laquo;</span>
      </a>
    </li>
    <li class="page-item"><a class="page-link" href="#">1</a></li>
    <li class="page-item"><a class="page-link" href="#">2</a></li>
    <li class="page-item"><a class="page-link" href="#">3</a></li>
    <li class="page-item">
      <a class="page-link" href="#" aria-label="Next">
        <span aria-hidden="true">&raquo;</span>
      </a>
    </li>
  </ul>
</nav>
</div>

<script>
     $(document).ready(function() {
        $("#my-button").click(function() {
            // disable button
            $(this).prop("disabled", true);
            // add spinner to button
            $(this).html(
            `<i class="fa fa-spinner fa-spin"></i> Loading`
            );
            $("#form").submit();
        });
    });
</script>

</body>
</html>